import { DeviceType } from '@ucap-webmessenger/core';
import {
  APIRequest,
  APIResponse,
  APIEncoder,
  APIDecoder,
  ParameterUtil
} from '@ucap-webmessenger/api';

export interface TransMassTalkSaveRequest extends APIRequest {
  userSeq: string;
  deviceType: DeviceType;
  token: string;
  original?: string;
  translation?: string;
  roomId?: string;
  locale: string;
}

export interface TransMassTalkSaveResponse extends APIResponse {
  EventTransSEQ?: string;
  RoomID?: string;
  RegDate?: string;
  Locale?: string;
  Original?: string;
  Translation?: string;
}

const transMassTalkSaveEncodeMap = {};

export const encodeTransMassTalkSave: APIEncoder<TransMassTalkSaveRequest> = (
  req: TransMassTalkSaveRequest
) => {
  return ParameterUtil.encode(transMassTalkSaveEncodeMap, req);
};

export const decodeTransMassTalkSave: APIDecoder<TransMassTalkSaveResponse> = (
  res: any
) => {
  return {} as TransMassTalkSaveResponse;
};
