import { Component, OnInit } from '@angular/core';

import { Store, select } from '@ngrx/store';

import * as AppSotre from '@app/store';
import { Observable } from 'rxjs';

@Component({
  selector: 'app-page-messenger-main',
  templateUrl: './main.page.component.html',
  styleUrls: ['./main.page.component.scss']
})
export class MainPageComponent implements OnInit {
  selectedChat$: Observable<string | null>;

  constructor(private store: Store<any>) {}

  ngOnInit(): void {
    this.selectedChat$ = this.store.pipe(
      select(AppSotre.MessengerSelector.ChatSelector.selectedRoom)
    );
  }
}
