import { Component, OnInit, Input } from '@angular/core';
import { Info } from '@ucap-webmessenger/protocol-event';
import { DatePipe } from '@angular/common';

@Component({
  selector: 'ucap-chat-message-box-date-splitter',
  templateUrl: './date-splitter.component.html',
  styleUrls: ['./date-splitter.component.scss']
})
export class DateSplitterComponent implements OnInit {
  @Input()
  message: Info;

  dateInfo: string;

  constructor(private datePipe: DatePipe) {}

  ngOnInit() {
    this.dateInfo = this.datePipe.transform(
      this.message.sendDate,
      'yyyy.MM.dd EEE'
    );
  }
}
